Bug 230744 - games/etracer: Fix build with Clang
Summary: games/etracer: Fix build with Clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-19 09:17 UTC by Tobias Kortkamp
Modified: 2018-09-02 06:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (peter_dunning)


Attachments
etracer.diff (2.58 KB, patch)
2018-08-19 09:17 UTC, Tobias Kortkamp
no flags Details | Diff
etracer.diff (3.33 KB, patch)
2018-08-21 13:22 UTC, Tobias Kortkamp
tobik: maintainer-approval? (peter_dunning)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-08-19 09:17:02 UTC
Created attachment 196340 [details]
etracer.diff

run tested on 12.0, builds fine in Poudriere on 10.4/i386, 11.1/amd64
Comment 1 Tobias Kortkamp freebsd_committer 2018-08-21 13:22:13 UTC
Created attachment 196416 [details]
etracer.diff

Also requesting maintainership while I'm here.
Comment 2 commit-hook freebsd_committer 2018-09-02 05:49:25 UTC
A commit references this bug:

Author: tobik
Date: Sun Sep  2 05:49:10 UTC 2018
New revision: 478755
URL: https://svnweb.freebsd.org/changeset/ports/478755

Log:
  games/etracer builds fine with Clang with a couple of extra patches

  While here

  - Take maintainership
  - Improve pkg-descr

  PR:		230744
  Submitted by:	tobik
  Approved by:	peter_dunning@dsl.pipex.com (maintainer timeout, 2 weeks)

Changes:
  head/games/etracer/Makefile
  head/games/etracer/files/
  head/games/etracer/files/patch-quadtree.cpp
  head/games/etracer/files/patch-spx.h
  head/games/etracer/pkg-descr